﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace LineGraph
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

    }
    public class Model
    {
        public DateTime DTS
        {
            get;
            set;
        }
        public double Movement
        {
            get;
            set;
        }

        public double YValue
        {
            get;
            set;
        }
    }
    public class ViewModel
    {

        public ObservableCollection<Model> DataPoints
        {
            get;
            set;
        }

        public ViewModel()
        {
            DataPoints = new ObservableCollection<Model>();

            DataPoints.Add(new Model { DTS = new DateTime(2016,1,1), Movement = 6.5 });
            DataPoints.Add(new Model { DTS = new DateTime(2016,1,2), Movement = -4 });
            DataPoints.Add(new Model { DTS = new DateTime(2016,1,3), Movement = 4.4 });
            DataPoints.Add(new Model { DTS = new DateTime(2016,1,4), Movement = 10 });
            DataPoints.Add(new Model { DTS = new DateTime(2016,1,5), Movement = -2 });
            DataPoints.Add(new Model { DTS = new DateTime(2016,1,6), Movement = 5.2 });
            CalculateYValue();
        }

        private void CalculateYValue()
        {
            double temp = 0;
            for (int index=0;index<DataPoints.Count;index++)
            {
                temp += DataPoints[index].Movement;
                DataPoints[index].YValue += temp;
            }
        }
    }
}
